package com.conflux.quartz.service.impl;

import com.conflux.quartz.domain.NftJob;
import com.conflux.quartz.mapper.NftJobMapper;
import com.conflux.quartz.service.INftJobService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author _007long
 * @Date 2022 06 02
 **/
@Service
public class NftJobServiceImpl implements INftJobService {
    @Autowired
    NftJobMapper nftJobMapper;

    @Override
    public int updateCollectConfig(NftJob collectConfig) {
        collectConfig.setUpdateTime(System.currentTimeMillis());
        return nftJobMapper.updateCollectConfig(collectConfig);
    }

    @Override
    public NftJob selectCollectConfigByStatus() {
        return nftJobMapper.selectCollectConfigByStatus();
    }
}
