package com.conflux.quartz.task;

import com.conflux.quartz.domain.NftJob;
import com.conflux.quartz.service.INftJobService;
import org.springframework.stereotype.Component;
import com.conflux.common.utils.StringUtils;

import javax.annotation.Resource;

/**
 * 定时任务调度测试
 *
 * @author conflux
 */
@Component("ryTask")
public class RyTask {
    @Resource
    private INftJobService iNftJobService;

    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i) {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params) {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams() {
        NftJob collectConfig = iNftJobService.selectCollectConfigByStatus();


        System.out.println("执行无参方法"+collectConfig.toString());
    }

}
